%define build_jack	1

%define build_plf	0

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

%define rel     2

#comment out when not prerelease
#define pre	beta2

%define _exclude_files_from_autoprov	%{_libdir}/audacious/.*\\.so

Summary:	Audacious Media Player core plugins
Name:		audacious-plugins
Version:	3.5.2
Release:	%mkrel %{?pre:0.%pre.}%{rel}
Epoch:		5
Url:            http://audacious-media-player.org/
Source0:	http://distfiles.audacious-media-player.org/%{name}-%{version}%{?pre:-%pre}.tar.bz2
# Originally from Fedora
Patch2:		audacious-plugins-3.1-beta1-ladspa.patch

License:	BSD
Group:		Sound/Players
Requires:	audacious >= %{epoch}:%{version}
BuildRequires:	pkgconfig(audacious) >= %{version}
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libbinio)
BuildRequires:	pkgconfig(flac) >= 1.2.1
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(neon)
BuildRequires:	pkgconfig(libmms)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libcue)
BuildRequires:	pkgconfig(libbs2b)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(gio-2.0) >= 2.0
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(dbus-glib-1)
#for sox resampler:
#BuildRequires: pkgconfig(soxr)

%if %{build_jack}
BuildRequires:	pkgconfig(jack) >= 1.9.7
%endif

%if %{build_plf}
BuildRequires:	liblame-devel
BuildRequires:	libfaad2-devel
%endif

#for ladspa plugin
Requires:	ladspa

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This contains the basic plugin distribution. Audacious is useless
without them.
%if %{build_plf}
This package is in "Tainted" as it violates some patents.
%endif

%package  -n audacious-wavpack
Group:		Sound/Players
Summary: 	Wavpack input plugin for Audacious
Requires:	audacious >= %epoch:%{version}

%description  -n audacious-wavpack
This is a wavpack input plugin for Audacious based on libwavpack.

%if %{build_jack}
%package  -n audacious-jack
Group:		Sound/Players
Summary:	Audacious output plugin for the jack sound server
Requires:	audacious >= %epoch:%{version}

%description  -n audacious-jack
Audacious audio output plugin for the jack audio server
(http://jackit.sourceforge.net).
%endif

%package  -n audacious-pulse
Group:		Sound/Players
Summary:	Audacious output plugin for the Pulseaudio sound server
Requires:	audacious >= %{epoch}:%{version}
Provides:	audacious-esd
Obsoletes:	audacious-esd
BuildRequires:	pkgconfig(libpulse)

%description  -n audacious-pulse
Audacious audio output plugin for the pulseaudio server.

%package  -n audacious-adplug
Summary:	AdLib player plugin for audacious
Group:		Sound/Players
Requires:	audacious >= %{epoch}:%{version}

%description  -n audacious-adplug
AdPlug is an Audacious input plugin It uses the AdPlug AdLib sound
player library to play back a wide range of AdLib (OPL2) music file
formats on top of an OPL2 emulator.  No OPL2 chip is required for
playback.

%package -n audacious-fluidsynth
Summary:	Fluidsynth MIDI plugin for audacious
Group:		Sound/Players
Requires:	audacious >= %{epoch}:%{version}
Recommends: 	fluid-soundfont-gm

%description -n audacious-fluidsynth
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device.

This is a fluidsynth backend for the Audacious Media Player to support the
playback of MIDI files with the fluidsynth engine.

%package -n audacious-sid
Group:		Sound/Players
Summary:	Audacious input plugin for C64 SID files
BuildRequires:	pkgconfig(libsidplayfp) >= 1.0
Requires:	audacious >= %{epoch}:%{version}

%description -n audacious-sid
Audacious-SID is a plugin for the Audacious Media Player which provides
support for playing the so-called "SID tunes", which are music
from old Commodore computer programs like games, demos, etc.

For the actual playing, it uses the excellent libsidplay (1|2)
emulator engine that emulates 6510 CPU and 6581/8580 Sound Interface
Device (SID) chip.

%prep
%setup -q -n %{name}-%{version}%{?pre:-%pre}
%apply_patches

# with P2, fix hardcoded libdir
sed -i -e 's!__RPM_LIBDIR__!%{_libdir}!g' src/ladspa/plugin.c

%build
%configure2_5x \
        --enable-amidiplug \
%if !%build_plf
	--disable-aac \
%endif
	--disable-rpath

%make

%install
%makeinstall_std

%if !%{build_plf}
rm -fv %buildroot%_libdir/audacious/Input/{aac,aac-raw}.so
%endif

%find_lang %{name}

%files -f %name.lang
%doc AUTHORS COPYING
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Container
%{_libdir}/audacious/Container/asx.so
%{_libdir}/audacious/Container/asx3.so
%{_libdir}/audacious/Container/audpl.so
%{_libdir}/audacious/Container/cue.so
%{_libdir}/audacious/Container/m3u.so
%{_libdir}/audacious/Container/pls.so
%{_libdir}/audacious/Container/xspf.so
%dir %{_libdir}/audacious/General
%{_libdir}/audacious/General/alarm.so
%{_libdir}/audacious/General/albumart.so
%{_libdir}/audacious/General/aosd.so
%{_libdir}/audacious/General/cd-menu-items.so
%{_libdir}/audacious/General/delete-files.so
%{_libdir}/audacious/General/gnomeshortcuts.so
%{_libdir}/audacious/General/gtkui.so
%{_libdir}/audacious/General/hotkey.so
%{_libdir}/audacious/General/lirc.so
%{_libdir}/audacious/General/lyricwiki.so
%{_libdir}/audacious/General/mpris2.so
#%{_libdir}/audacious/General/mtp_up.so
%{_libdir}/audacious/General/notify.so
%{_libdir}/audacious/General/scrobbler.so
%{_libdir}/audacious/General/search-tool.so
%{_libdir}/audacious/General/skins.so
%{_libdir}/audacious/General/statusicon.so
%{_libdir}/audacious/General/song_change.so
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/ffaudio.so
%{_libdir}/audacious/Input/cdaudio-ng.so
%{_libdir}/audacious/Input/console.so
%{_libdir}/audacious/Input/flacng.so
%{_libdir}/audacious/Input/madplug.so
%{_libdir}/audacious/Input/metronom.so
%{_libdir}/audacious/Input/modplug.so
%{_libdir}/audacious/Input/psf2.so
%{_libdir}/audacious/Input/sndfile.so
%{_libdir}/audacious/Input/tonegen.so
%{_libdir}/audacious/Input/vorbis.so
%{_libdir}/audacious/Input/vtx.so
%{_libdir}/audacious/Input/xsf.so

%if %{build_plf}
%{_libdir}/audacious/Input/aac.so
%{_libdir}/audacious/Input/aac-raw.so
%endif

%dir %{_libdir}/audacious/Effect/
%{_libdir}/audacious/Effect/bs2b.so
%{_libdir}/audacious/Effect/compressor.so
%{_libdir}/audacious/Effect/crossfade.so
%{_libdir}/audacious/Effect/crystalizer.so
%{_libdir}/audacious/Effect/echo.so
%{_libdir}/audacious/Effect/ladspa.so
#%{_libdir}/audacious/Effect/mixdown.so
%{_libdir}/audacious/Effect/mixer.so
%{_libdir}/audacious/Effect/resample.so
#%{_libdir}/audacious/Effect/sndstretch.so
%{_libdir}/audacious/Effect/speed-pitch.so
%{_libdir}/audacious/Effect/stereo.so
%{_libdir}/audacious/Effect/voice_removal.so
%dir %{_libdir}/audacious/Output
#%{_libdir}/audacious/Output/OSS.so
%{_libdir}/audacious/Output/alsa.so
%{_libdir}/audacious/Output/filewriter.so
#%{_libdir}/audacious/Output/null.so
%{_libdir}/audacious/Output/sdlout.so
%dir %{_libdir}/audacious/Transport/
%{_libdir}/audacious/Transport/gio.so
%{_libdir}/audacious/Transport/mms.so
%{_libdir}/audacious/Transport/neon.so
#%{_libdir}/audacious/Transport/smb.so
%dir %{_libdir}/audacious/Visualization
%{_libdir}/audacious/Visualization/blur_scope.so
%{_libdir}/audacious/Visualization/cairo-spectrum.so
%{_libdir}/audacious/Visualization/gl-spectrum.so
#%{_libdir}/audacious/Visualization/rocklight.so
%{_datadir}/audacious

%files -n audacious-wavpack
%{_libdir}/audacious/Input/wavpack.so

%if %{build_jack}
%files -n audacious-jack
%{_libdir}/audacious/Output/jackout.so
%endif

%files -n audacious-pulse
%{_libdir}/audacious/Output/pulse_audio.so

%files -n audacious-sid
%{_libdir}/audacious/Input/sid.so

%files -n audacious-adplug
%{_libdir}/audacious/Input/adplug.so

%files -n audacious-fluidsynth
%{_libdir}/audacious/Input/amidi-plug.so


%changelog
* Fri Nov 14 2014 cjw <cjw> 5:3.5.2-2.mga5
+ Revision: 796932
- rebuild for ffmpeg 2.4

* Wed Nov 12 2014 cjw <cjw> 5:3.5.2-1.mga5.tainted
+ Revision: 796568
- 3.5.2

* Wed Oct 15 2014 umeabot <umeabot> 5:3.5.1-4.mga5.tainted
+ Revision: 741746
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5:3.5.1-3.mga5.tainted
+ Revision: 725960
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5:3.5.1-2.mga5
+ Revision: 678038
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Aug 06 2014 gw666 <gw666> 5:3.5.1-1.mga5.tainted
+ Revision: 660138
- workaround a build failure
- new version

* Fri May 30 2014 gw666 <gw666> 5:3.5-1.mga5.tainted
+ Revision: 627989
- new version
- add new plugins aac-raw, asx3, delete-files
- remove old alsa midi and unix-io plugins
- move amidi-plug to fluidsynth package as it is now based on fluidsynth only
- suggest a soundfont in the fluidsynth package

* Sat Feb 15 2014 luigiwalser <luigiwalser> 5:3.4.3-2.mga5.tainted
+ Revision: 592235
- rebuild for libcdio

* Tue Feb 04 2014 gw666 <gw666> 5:3.4.3-1.mga5.tainted
+ Revision: 580564
- new version

* Fri Dec 06 2013 gw666 <gw666> 5:3.4.2-1.mga4.tainted
+ Revision: 555521
- new bugfix release (mdv bug #11884)

* Thu Oct 31 2013 tmb <tmb> 5:3.4.1-2.mga4
+ Revision: 548144
- Mageia 4 rebuild

* Wed Sep 04 2013 gw666 <gw666> 5:3.4.1-1.mga4.tainted
+ Revision: 475078
- new version
- drop upstream patches

* Sun Sep 01 2013 fwang <fwang> 5:3.4-5.mga4.tainted
+ Revision: 473891
- rebuild for new libcdio

* Thu Aug 29 2013 eatdirt <eatdirt> 5:3.4-4.mga4.tainted
+ Revision: 472758
- Fix winamp interface rendering (#10605)

* Tue Aug 27 2013 gw666 <gw666> 5:3.4-3.mga4.tainted
+ Revision: 472248
- fix metadata support for ffaudio plugin

* Fri Jul 12 2013 fwang <fwang> 5:3.4-2.mga4.tainted
+ Revision: 453237
- rebuild for new ffmpeg

* Sat Jun 29 2013 gw666 <gw666> 5:3.4-1.mga4.tainted
+ Revision: 448386
- new version

* Tue Jun 04 2013 gw666 <gw666> 5:3.4-0.beta2.1.mga4.tainted
+ Revision: 437188
- new version
- drop patch 3
- add gl spectrum plugin

* Thu May 23 2013 gw666 <gw666> 5:3.4-0.beta1.1.mga4.tainted
+ Revision: 425406
- new prerelease
- bump audacious dep
- replace libsidplay2 by libsidplayfp

* Tue Feb 12 2013 cjw <cjw> 5:3.3.4-3.mga3.tainted
+ Revision: 398180
- simplify patch3 (ffmpeg "planar" audio)

* Tue Feb 12 2013 cjw <cjw> 5:3.3.4-2.mga3.tainted
+ Revision: 397952
- patch3: quick fix for ffmpeg audio codecs that decode to "planar" PCM with ffmpeg 1.1 (originally written for gstreamer0.10-ffmpeg)

* Wed Feb 06 2013 gw666 <gw666> 5:3.3.4-1.mga3.tainted
+ Revision: 394925
- new version

* Fri Jan 11 2013 umeabot <umeabot> 5:3.3.3-3.mga3.tainted
+ Revision: 346576
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 5:3.3.3-2.mga3.tainted
+ Revision: 341608
- rebuild for new ffmpeg

* Tue Dec 11 2012 gw666 <gw666> 5:3.3.3-1.mga3.tainted
+ Revision: 329547
- new version
- disable old libsidplay support in sid plugin

* Thu Dec 06 2012 gw666 <gw666> 5:3.3.2-3.mga3.tainted
+ Revision: 327390
- rebuild for libsidplay

* Thu Nov 29 2012 gw666 <gw666> 5:3.3.2-2.mga3
+ Revision: 323096
- update rpm group

* Sun Sep 23 2012 wally <wally> 5:3.3.2-1.mga3.tainted
+ Revision: 296921
- new version 3.3.2
- drop linking patch (fixed upstream)
- filter out plugin .so provides (idea from Fedora)

* Sun Aug 12 2012 wally <wally> 5:3.3.1-1.mga3.tainted
+ Revision: 280953
- new version 3.3.1

* Sat Jul 28 2012 wally <wally> 5:3.3-1.mga3.tainted
+ Revision: 275460
- new version 3.3

* Fri Jul 20 2012 wally <wally> 5:3.3-0.beta2.1.mga3.tainted
+ Revision: 272897
- new version 3.3 beta2

* Sun Jul 08 2012 wally <wally> 5:3.3-0.beta1.1.mga3.tainted
+ Revision: 268895
- new version 3.3 beta1
- fix license to BSD

* Mon Jun 18 2012 wally <wally> 5:3.3-0.alpha1.1.mga3.tainted
+ Revision: 261800
- new version 3.3 alpha1
- drop unrecognized configure options
- rediff linking patch
- clean .spec

* Thu May 31 2012 wally <wally> 5:3.2.3-1.mga3.tainted
+ Revision: 252527
- new version 3.2.3

* Tue May 29 2012 fwang <fwang> 5:3.2.2-2.mga3.tainted
+ Revision: 249060
- rebuild for new ffmpeg

* Sun Apr 15 2012 luigiwalser <luigiwalser> 5:3.2.2-1.mga2
+ Revision: 230830
- 3.2.2

* Sat Feb 18 2012 wally <wally> 5:3.2.1-1.mga2.tainted
+ Revision: 210325
- new version 3.2.1
- rediff P1

* Mon Jan 23 2012 wally <wally> 5:3.2-1.mga2.tainted
+ Revision: 200279
- new version 3.2

* Tue Jan 10 2012 wally <wally> 5:3.2-0.beta2.1.mga2.tainted
+ Revision: 194683
- new version 3.2 beta2
- enable experimental GIO transport plugin

* Fri Dec 30 2011 wally <wally> 5:3.2-0.beta1.1.mga2.tainted
+ Revision: 189066
- new version 3.2 beta 1
- drop P0, P3 and P4
- rediff P1

* Mon Dec 26 2011 wally <wally> 5:3.2-0.alpha1.2.mga2.tainted
+ Revision: 187779
- require ladspa (for ladspa plugin)

* Mon Dec 26 2011 wally <wally> 5:3.2-0.alpha1.1.mga2.tainted
+ Revision: 187770
- new version 3.2alpha1
- rediff P1
- add gmodule-2.0 patch from Fedora (P3)
- add VFSFile patch from upstream (P4)

* Tue Dec 06 2011 wally <wally> 5:3.1.1-1.mga2.tainted
+ Revision: 177366
- new version 3.1.1

* Fri Nov 11 2011 wally <wally> 5:3.1-2.mga2.tainted
+ Revision: 166673
- drop patch from upstream
- new version 3.1 final

* Thu Nov 03 2011 wally <wally> 5:3.1-0.beta3.2.mga2.tainted
+ Revision: 162473
- add patch from upstream GIT to possibly fix crash with pulseaudio (mga#3249)

* Sun Oct 30 2011 wally <wally> 5:3.1-0.beta3.1.mga2.tainted
+ Revision: 159961
- new version 3.1 beta3
- drop old configure option

* Fri Oct 28 2011 fwang <fwang> 5:3.1-0.beta2.3.mga2.tainted
+ Revision: 159118
- bump rel

* Fri Oct 28 2011 fwang <fwang> 5:3.1-0.beta2.2.mga2
+ Revision: 159090
- rebuild for new libcdio

* Mon Oct 17 2011 wally <wally> 5:3.1-0.beta2.1.mga2.tainted
+ Revision: 155902
- new version 3.1 beta2
- rediff patches 0 and 1
- drop oss and moodbar plugins

* Wed Oct 12 2011 wally <wally> 5:3.1-0.beta1.1.mga2.tainted
+ Revision: 154156
- replace P2 with another ladspa patch from Fedora
- new version 3.1 beta1

* Fri Sep 23 2011 wally <wally> 5:3.1-0.alpha1.1.mga2
+ Revision: 147096
- add P2 from Fedora to fix hardcoded libdir
- new version 3.1 alpha1

* Tue Sep 20 2011 wally <wally> 5:3.0.3-1.mga2.tainted
+ Revision: 146058
- rediff P1 (from Mdv)
- new version 3.0.3
- new version 3.0.2
- cleaned BRs, i.a. removed libmesaglut-devel ("fix" for mga#2412)
- drop some old and unneeded obsoletes/provides
- new version 3.0.1

* Tue Jul 19 2011 fwang <fwang> 5:3.0-1.mga2.tainted
+ Revision: 126180
- clean up version usage

  + wally <wally>
    - final version 3.0

* Sun Jul 17 2011 fwang <fwang> 5:3.0-0.beta1.2.mga2.tainted
+ Revision: 125204
- rebuild for new libmtp

* Wed Jul 13 2011 wally <wally> 5:3.0-0.beta1.1.mga2.tainted
+ Revision: 123854
- disable JACK plugin for now as we don't have JACK >= 1.9.7
- add support for tainted build (aac playback plugin)
- add madplug input plugin and smb transport plugin
- new version 3.0 beta1
- drop P2, fixed upstream

* Sun Jun 26 2011 wally <wally> 5:3.0-0.alpha1.2.mga2
+ Revision: 114105
-fix typo in requires

* Sun Jun 26 2011 wally <wally> 5:3.0-0.alpha1.1.mga2
+ Revision: 114095
- new version 3.0 alpha1
- drop some old and unmaintained plugins
- clean .spec

* Fri Jun 24 2011 fwang <fwang> 5:2.5.1-3.mga2
+ Revision: 112969
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Sun Jun 19 2011 ahmad <ahmad> 5:2.5.1-2.mga2
+ Revision: 109613
- Rebuild against libnotify-0.7

* Tue Jun 07 2011 dmorgan <dmorgan> 5:2.5.1-1.mga2
+ Revision: 101596
- Fix typo in file list
- New version 2.5.1

* Fri Mar 04 2011 ennael <ennael> 5:2.4.4-1.mga1
+ Revision: 64087
- more cleaning
- clean spec file
- imported package audacious-plugins

